<?php
/**
 * Return Page
 * 
 * @package page
 * @copyright Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: header_php.php 3230 2006-03-20 23:21:29Z drbyte $
 */
require(DIR_WS_MODULES . zen_get_module_directory('require_languages.php'));

  // BOF Captcha
if(CAPTCHA_BECOME_DIST != 'false') {
	require(DIR_WS_CLASSES . 'captcha.php');
	$captcha = new captcha();
}
// EOF Captcha

  //require('includes/application_top.php');
if (REGISTERED_RETURN == 'true'){
  if (!$_SESSION['customer_id']) {
    $_SESSION['navigation']->set_snapshot();
    zen_redirect(zen_href_link(FILENAME_LOGIN, '', 'SSL'));
  }
}


  $error = false;
  if (isset($_GET['action']) && ($_GET['action'] == 'send')) {
    $name = zen_db_prepare_input($_POST['contactname']);
    $email_address = zen_db_prepare_input($_POST['email']);
	$telephone = zen_db_prepare_input($_POST['telephone']);
    $street_address = zen_db_prepare_input($_POST['street_address']);
    $street_address2 = zen_db_prepare_input($_POST['street_address2']);
    $city = zen_db_prepare_input($_POST['city']);
    $state = zen_db_prepare_input($_POST['state']);
    $postcode = zen_db_prepare_input($_POST['postcode']);
    $order_number = zen_db_prepare_input($_POST['order_number']);
    $value = zen_db_prepare_input($_POST['total_value']);
    $item_number = zen_db_prepare_input($_POST['item_number']);
    $item_name = zen_db_prepare_input($_POST['item_name']);
    $action = zen_db_prepare_input($_POST['action']);
    $reason = zen_db_prepare_input(strip_tags($_POST['reason']));

  $zc_validate_email = zen_validate_email($email_address);

// BOF Captcha
  if (is_object($captcha) && !$captcha->validateCaptchaCode()) {
    $error = true;
    $messageStack->add('become_dist', ERROR_CAPTCHA);
  }
// EOF Captcha
	
  if ($zc_validate_email and !empty($reason) and !empty($name)) {

		$send_to_email = EMAIL_FROM;
		$send_to_name =  STORE_NAME;
		
		
// auto complete when logged in
if($_SESSION['customer_id']) {
  $sql = "SELECT c.customers_id, c.customers_firstname, c.customers_lastname, c.customers_email_address, c.customers_default_address_id, c.customers_telephone, ab.customers_id, ab.entry_street_address, ab.entry_suburb, ab.entry_city, ab.entry_postcode, z.zone_code FROM " . TABLE_CUSTOMERS . " c, " . TABLE_ADDRESS_BOOK . " ab, "  . TABLE_ZONES  . " z WHERE c.customers_id = :customersID AND ab.customers_id = c.customers_id AND ab.entry_zone_id = z.zone_id";
  
  $sql = $db->bindVars($sql, ':customersID', $_SESSION['customer_id'], 'integer');
  $check_customer = $db->Execute($sql);
  $telephone= $check_customer->fields['customers_telephone'];
  $email= $check_customer->fields['customers_email_address'];
  $name= $check_customer->fields['customers_firstname'] . ' ' . $check_customer->fields['customers_lastname'];
  $street_address= $check_customer->fields['entry_street_address'];
   $street_address2= $check_customer->fields['entry_suburb'];
  $city= $check_customer->fields['entry_city'];
  $state= $check_customer->fields['zone_code'];
  $postcode= $check_customer->fields['entry_postcode'];
}

    // Prepare extra-info details
    $extra_info = email_collect_extra_info($name, $email_address, $customer_name, $customer_email, $telephone);
    // Prepare Text-only portion of message
	$text_message = OFFICE_FROM . "\t" . $name . "\n" . 
		    OFFICE_EMAIL . "\t" . $email_address . "\n"	.
			"Phone Number:" . "\t" .$telephone . "\n".
		    "Address:" . "\t" . $street_address . "\n" .
		    "Address 2:" . "\t" . $suburb. "\n" .
		    "City:" . "\t" . $city . "\n"	.
		    "Post Code:" . "\t" . $postcode . "\n" .
			"State:" . "\t" . $state . "\n" .
		    "Order Number:" . "\t" . $order_number . "\n" .
		    "Total Value:" . "\t" . $value . "\n" .
		    "Item Number:" . "\t" . $item_number . "\n"	.
		    "Item Name:" . "\t" . $item_name . "\n"	.
		    "Action Requested:" . "\t" . $action . "\n"	.
			'------------------------------------------------------' . "\n" .
            "Reason:" . "\t" . $reason .  "\n" .
             '------------------------------------------------------' . "\n" .
            $extra_info['TEXT'];
      $email_text = sprintf(EMAIL_GREET_NONE, $name);
      $email_text .=  EMAIL_WELCOME;
      $email_text .= "\n\n" . EMAIL_TEXT . EMAIL_CONTACT . EMAIL_WARNING;

	  // Prepare HTML-portion of message
      $html_msg['EMAIL_GREETING'] = str_replace('\n','',$email_text);
	  $html_msg['EMAIL_WELCOME'] = str_replace('\n','',EMAIL_WELCOME);
      $html_msg['EMAIL_MESSAGE_HTML'] = $email_text;
      $html_msg['CONTACT_US_OFFICE_FROM'] = OFFICE_FROM . ' ' . $name . '<br />' . OFFICE_EMAIL . '(' . $email_address . ')';
      $html_msg['EXTRA_INFO'] = $extra_info['HTML'];

	  // Send message
	  zen_mail($name, $email_address, EMAIL_SUBJECT, $email_text, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS, $html_msg, 'Returns');
    $html_msg['EMAIL_MESSAGE_HTML'] = $text_message;
   $html_msg['CONTACT_US_OFFICE_FROM'] = OFFICE_FROM . ' ' . $name . '<br />' . OFFICE_EMAIL . '(' . $email_address . ')';
    $html_msg['EXTRA_INFO'] = $extra_info['HTML'];
	  
     zen_mail(STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS, EMAIL_SUBJECT, $text_message, $name, $email_address, $html_msg, 'Returns');

      zen_redirect(zen_href_link(FILENAME_RETURNS, 'action=success'));

  } else {
    $error = true;
    if (empty($name)) {
      $messageStack->add('returns', ENTRY_NAME_ERROR);
    }
    if ($zc_validate_email == false) {
      $messageStack->add('returns', ENTRY_EMAIL_ADDRESS_CHECK_ERROR);
    }
    if (empty($street_address)) {
      $messageStack->add('returns', ENTRY_STREET_ADDRESS_ERROR);
    }
    if (empty($city)) {
      $messageStack->add('returns', ENTRY_CITY_ERROR);
    }
    if (empty($state)) {
      $messageStack->add('returns', ENTRY_STATE_ERROR);
    }
    if (empty($postcode)) {
      $messageStack->add('returns', ENTRY_POST_CODE_ERROR);
    }
    if (empty($reason)) {
      $messageStack->add('returns', ENTRY_EMAIL_CONTENT_CHECK_ERROR);
    }
    if (empty($order_number)) {
      $messageStack->add('returns', ENTRY_ORDER_NUMBER_ERROR);
	}
  }
} // end action==send	  
	  
	  
// default email and name if customer is logged in
if($_SESSION['customer_id']) {
  $sql = "SELECT c.customers_id, c.customers_firstname, c.customers_lastname, c.customers_email_address, c.customers_default_address_id, c.customers_telephone, ab.customers_id, ab.entry_street_address, ab.entry_suburb, ab.entry_city, ab.entry_postcode, z.zone_code FROM " . TABLE_CUSTOMERS . " c, " . TABLE_ADDRESS_BOOK . " ab, "  . TABLE_ZONES  . " z WHERE c.customers_id = :customersID AND ab.customers_id = c.customers_id AND ab.entry_zone_id = z.zone_id";
  
  $sql = $db->bindVars($sql, ':customersID', $_SESSION['customer_id'], 'integer');
  $check_customer = $db->Execute($sql);
  $telephone= $check_customer->fields['customers_telephone'];
  $email= $check_customer->fields['customers_email_address'];
  $name= $check_customer->fields['customers_firstname'] . ' ' . $check_customer->fields['customers_lastname'];
  $street_address= $check_customer->fields['entry_street_address'];
  $street_address2= $check_customer->fields['entry_suburb'];
  $city= $check_customer->fields['entry_city'];
  $state= $check_customer->fields['zone_code'];
  $postcode= $check_customer->fields['entry_postcode'];
}


if (CONTACT_US_LIST !=''){
  foreach(explode(",", CONTACT_US_LIST) as $k => $v) {
    $send_to_array[] = array('id' => $k, 'text' => preg_replace('/\<[^*]*/', '', $v));
  }
}

// include template specific file name defines
$define_page = zen_get_file_directory(DIR_WS_LANGUAGES . $_SESSION['language'] . '/html_includes/', FILENAME_DEFINE_RETURNS, 'false');

$breadcrumb->add(NAVBAR_TITLE);
?>